libgspell-1-2-1.8.1-48.20.i586.rpm


Advertisement

Description

libgspell-1-2 - Spell checker library for GTK+

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory all
Package filename libgspell-1-2-1.8.1-48.20.i586.rpm
Package name libgspell-1-2
Package version 1.8.1
Package release 48.20
Package architecture i586
Package type rpm
Category System/Libraries
Homepage https://wiki.gnome.org/Projects/gspell
License LGPL-2.1-or-later
Maintainer -
Download size 63.31 KB
Installed size 162.84 KB
gspell provides a flexible API to implement the spell checking in a GTK+
application.
This package provides the shared libraries for gspell.

Alternatives

Package Version Architecture Repository
libgspell-1-2-1.8.1-97.29.x86_64.rpm 1.8.1 x86_64 GNOME Next
libgspell-1-2-1.8.1-97.29.i586.rpm 1.8.1 i586 GNOME Next
libgspell-1-2-1.8.1-48.20.x86_64.rpm 1.8.1 x86_64 GNOME Factory
libgspell-1-2-1.8.1-1.3.x86_64.rpm 1.8.1 x86_64 openSUSE Oss
libgspell-1-2-1.8.1-1.3.i586.rpm 1.8.1 i586 openSUSE Oss
libgspell-1-2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libenchant-2.so.2 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-3.so.0 -
libpango-1.0.so.0 -

Provides

Name Value
gspell = 1.8.1
libgspell-1-2 = 1.8.1-48.20
libgspell-1-2(x86-32) = 1.8.1-48.20
libgspell-1.so.2 -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgspell-1-2-1.8.1-48.20.i586.rpm
Source Package gspell-1.8.1-48.20.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libgspell-1-2 rpm package:
    # zypper install libgspell-1-2

Files

Path
/usr/lib/libgspell-1.so.2
/usr/lib/libgspell-1.so.2.3.0

Changelog

2018-06-17 - bjorn.lie@gmail.com
- Update to version 1.8.1:
+ Fix new compilation warning (-Wcast-function-type).
+ Updated translations.
2018-03-13 - jengelh@inai.de
- Update summaries.
2018-03-11 - dimstar@opensuse.org
- Update to version 1.8.0:
+ Build system: don't declare functions in AC_TRY_COMPILE.
+ Updated translations.
- Bump shlib define lib%{name}-1-2, effectivley changing the name
of the shared library package: following upstream sover bump.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-12-09 - luc14n0@linuxmail.org
- Update to version 1.7.1:
+ Use Enchant 2.
+ Improve documentation.
+ Updated translations.
- Switch pkgconfig(enchant) BuildRequires by enchant-2 module
following ustream change.
- Adopt the use of %make_build macro instead of raw make command,
following best practices.
- Fix spelling in summaries.
- Rename typelib-1_0-Gspell-1_0 to typelib-1_0-Gspell-1,
following the tyeplib naming convention (old name was wrongly
chosen). For this reason, obsolete the old, wrong name.
2017-10-31 - luc14n0@linuxmail.org
- Update to version 1.6.1:
+ Updated translations.
- Drop pkgconfig BuildRequires: devel packages implicit dependency.
2017-09-10 - dimstar@opensuse.org
- Update to version 1.6.0:
+ Updated translations.
2017-08-20 - zaitor@opensuse.org
- Update to version 1.5.4:
+ Make the code that navigates through PangoLogAttr's more
robust, for both GspellEntry and GspellTextView.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.5.3:
+ Add gspell_checker_get_enchant_dict(), the use of Enchant is
now part of the API.
+ Rename program gspell-app to gspell-app1.
+ Various other small improvements.
+ Updated translations.
2017-08-19 - zaitor@opensuse.org
- Update to version 1.5.2:
+ Implement small gspell-app, a convenient way to quickly
spell-check something.
+ Document the support of the no-spell-check GtkTextTag.
+ Various other small improvements.
+ Updated translations.

See Also

Package Description
libgssdp-1_0-3-1.0.3-90.7.i586.rpm Library for resource discovery and announcement over SSDP
libgssdp-1_0-3-1.0.3-90.7.x86_64.rpm Library for resource discovery and announcement over SSDP
libgssdp-1_0-3-32bit-1.0.3-90.7.x86_64.rpm Library for resource discovery and announcement over SSDP
libgssdp-devel-1.0.3-90.7.i586.rpm Library for resource discovery and announcement over SSDP - Development Files
libgssdp-devel-1.0.3-90.7.x86_64.rpm Library for resource discovery and announcement over SSDP - Development Files
libgthread-2_0-0-2.60.1-394.1.i586.rpm Portable API from glib wrapping system threads
libgthread-2_0-0-2.60.1-394.1.x86_64.rpm Portable API from glib wrapping system threads
libgthread-2_0-0-32bit-2.60.1-394.1.x86_64.rpm Portable API from glib wrapping system threads
libgtk-2_0-0-2.24.32+54-276.2.i586.rpm The GTK+ toolkit library (version 2)
libgtk-2_0-0-2.24.32+54-276.2.x86_64.rpm The GTK+ toolkit library (version 2)
libgtk-2_0-0-32bit-2.24.32+54-276.2.x86_64.rpm The GTK+ toolkit library (version 2)
libgtk-3-0-3.24.8-357.1.i586.rpm The GTK+ toolkit library (version 3)
libgtk-3-0-3.24.8-357.1.x86_64.rpm The GTK+ toolkit library (version 3)
libgtk-3-0-32bit-3.24.8-357.1.x86_64.rpm The GTK+ toolkit library (version 3)
libgtk-4-0-3.94.0-42.1.i586.rpm The GTK+ toolkit library (version 4)
Advertisement
Advertisement